<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">


    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE"/>



    <application
        android:name=".VidiDinApp"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:usesCleartextTraffic="true"
        android:networkSecurityConfig="@xml/network_security_config"
        android:theme="@style/Theme.Architectureandroid">

        <activity
            android:name="com.gamedog.vididin.features.splash.SplashActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:theme="@style/Theme.Transparent"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name="com.gamedog.vididin.main.MainActivity"
            android:screenOrientation="portrait" android:exported="true"
            android:launchMode="singleTask" >
            <intent-filter>
                <action android:name="com.remax.notification.ACTION_OPEN_APP" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>


        <activity android:name="com.gamedog.vididin.login.LoginActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.benefit.BenefitActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.zero.ZeroBuyActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.winrecords.WinRecordsActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.withdraw.WithDrawActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.withdraw.WithDrawSubActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.version.VersionActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.feedback.FeedbackActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.withdrawrecord.WithdrawRecordActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.privacy.PrivacyActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.game.GameCenterActivity"  android:exported="false" />
        <activity android:name="com.gamedog.vididin.features.watchad.WatchAdActivity"
            android:theme="@style/Theme.Transparent"
            android:screenOrientation="portrait"
            android:exported="false" />




        <provider
            android:name="androidx.startup.InitializationProvider"
            android:authorities="${applicationId}.androidx-startup"
            android:exported="false" >
            <meta-data
                android:name="com.gamedog.vididin.router.RouterInitializer"
                android:value="androidx.startup" />
        </provider>


        <receiver
            android:name="com.gamedog.vididin.manager.DateChangeReceiver"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.DATE_CHANGED" />
            </intent-filter>
        </receiver>

        <receiver
            android:name="com.remax.notification.newUtil.events.AppInstallReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.PACKAGE_REPLACED" />
                <action android:name="android.intent.action.PACKAGE_REMOVED" />
                <data android:scheme="package" />
            </intent-filter>
        </receiver>

        <receiver android:name="com.remax.notification.newUtil.events.PowerConnectionReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
                <action android:name="android.intent.action.ACTION_POWER_DISCONNECTED" />
            </intent-filter>
        </receiver>


    </application>

</manifest>